import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import {Subject, Observable } from 'rxjs/Rx'


@Injectable()
export class NavBarService {
    public currentPage: BehaviorSubject<number> = new BehaviorSubject<number>(null);

    private _modal_accepted_data: BehaviorSubject<boolean> = new BehaviorSubject(null);
    public  modal_accepted_data: Observable<boolean> = this._modal_accepted_data.asObservable();
    setCurrentPage(value: number) {
        this.currentPage.next(value);
    }

    isClickedConfirmedEvent(value: boolean) {
        this._modal_accepted_data.next(value);
    }
}
